summaryrefslogtreecommitdiff
path: root/build
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2012-02-11 18:32:53 +0300
committerAndrei Karas <akaras@inbox.ru>2012-02-11 18:32:53 +0300
commit1e255ec19ececda196874f751a81682169cf64c3 (patch)
treea972041a56d46ec4beb04141946b73091fbbca95 /build
parentc14086d6a08fb2ea644eec9fafa0374604c98991 (diff)
downloadplus-1e255ec19ececda196874f751a81682169cf64c3.tar.gz
plus-1e255ec19ececda196874f751a81682169cf64c3.tar.bz2
plus-1e255ec19ececda196874f751a81682169cf64c3.tar.xz
plus-1e255ec19ececda196874f751a81682169cf64c3.zip
Add support for gtest framework.
Diffstat (limited to 'build')
-rwxr-xr-xbuild/bmaketests79
-rwxr-xr-xbuild/buildtest (renamed from build/maketest.sh)0
2 files changed, 79 insertions, 0 deletions
diff --git a/build/bmaketests b/build/bmaketests
new file mode 100755
index 000000000..e1d980a98
--- /dev/null
+++ b/build/bmaketests
@@ -0,0 +1,79 @@
+#!/bin/sh
+
+cd ..
+
+dir=`pwd`
+
+export CC=gcc-4.5
+export CXX=g++-4.5
+
+export LANG=C
+export CXXFLAGS="-Wunreachable-code -Wmissing-field-initializers \
+-Wabi -Wdisabled-optimization -Wuninitialized \
+-Wvolatile-register-var -Winvalid-pch -Wredundant-decls \
+-Wnormalized=nfkc -Wmissing-format-attribute -Wmissing-noreturn \
+-Wswitch-default -Wsign-promo -Waddress -Wmissing-declarations \
+-Wctor-dtor-privacy -Wstrict-null-sentinel \
+-Wunused-parameter -Wlogical-op \
+-Wempty-body -Wsign-compare -Wclobbered -Wcast-align -Wcast-qual \
+-Wtype-limits -Wpointer-arith -Wundef -Wmissing-include-dirs \
+-Wignored-qualifiers -Winit-self -pedantic -Wall -ggdb3 -O2 -pipe \
+-Wpacked -Wshadow -Wunused -Wsynth \
+-Wbuiltin-macro-redefined -Wctor-dtor-privacy -Wdeprecated -Wextra \
+-Wendif-labels -Wformat=1 -Wimport -Wnon-virtual-dtor -Wpsabi \
+-Wsign-promo -Wwrite-strings -D_FORTIFY_SOURCE=2"
+
+autoreconf -i 2>../build/make.log
+
+result=$?
+if [ "$result" != 0 ]; then
+ echo autoreconf error
+ exit 1
+fi
+
+./configure --prefix=$dir/run \
+--datadir=$dir/run/share/games \
+--bindir=$dir/run/bin \
+--mandir=$dir/run/share/man \
+--enable-memdebug=yes \
+--with-internalguichan=yes \
+--enable-tcmalloc=no \
+--enable-googleprofiler=no \
+--enable-unittests=yes
+
+result=$?
+if [ "$result" != 0 ]; then
+ echo configure error
+ exit 1
+fi
+
+cd po
+#make -j5 update-po 2>../make1.log
+make -j5 update-gmo 2>../build/make1.log
+
+result=$?
+if [ "$result" != 0 ]; then
+ echo update-gmo error
+ exit 1
+fi
+
+cd ..
+make -j5 2>build/make2.log
+
+result=$?
+if [ "$result" != 0 ]; then
+ echo make error
+ exit 1
+fi
+
+make install
+
+result=$?
+if [ "$result" != 0 ]; then
+ echo make install error
+ exit 1
+fi
+
+cd run
+export GLIBCXX_FORCE_NEW=1
+./bin/manaplus
diff --git a/build/maketest.sh b/build/buildtest
index 61b20f0fe..61b20f0fe 100755
--- a/build/maketest.sh
+++ b/build/buildtest